function historicoDeIntegracao() {
	const ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
	const z = new ZeedhiAPIConstructor(browser, protractor);
	const Helper = require('teknisa-helper');
	const geral = new Helper.geral();
	const protractorHelper = require('protractor-helper');


	this.abrir = () => {
		z.component.menu.open();
		protractorHelper.waitForElementVisibility(element(by.css('.menu-overlay')));
		z.component.menu.clickByPath(['Parametrização', 'Financeiro', 'Histórico de Integração']);
		geral.esperarLoading();
	};


	this.adicionar = (historicoIntegracao1) => {
		geral.searchAndClickGridField('DSHISTPADR', historicoIntegracao1, 'DSHISTPADR');
	};


	this.editar = (historicoIntegracao2) => {
		geral.clickLimparAutoComplete('DSHISTPADR');
		geral.searchAndClickGridField('DSHISTPADR', historicoIntegracao2, 'DSHISTPADR');
	};
}
module.exports = new historicoDeIntegracao();
